Bug 126340 - Crash when removing entry in bullet list (change tracking involved)
Summary: Crash when removing entry in bullet list (change tracking involved)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: x86-64 (AMD64) All
: high major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.4.0 target:6.2.6 target:6.3.0
Keywords: bibisected, needUITest, regression
Depends on:
Blocks:
 
Reported: 2019-07-11 07:44 UTC by Nicolas Christener
Modified: 2019-07-31 09:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document which makes the crash reproducible (9.68 KB, application/vnd.oasis.opendocument.text)
2019-07-11 07:45 UTC, Nicolas Christener
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Christener 2019-07-11 07:44:55 UTC
Description:
I can reproducibly crash the attached document by removing the first bullet in the list.

Steps to Reproduce:
1. Put the cursor to the empty bullet list entry
2. Hit delete

Actual Results:
LibreOffice writer crashes

Expected Results:
LibreOffice writer should not crash, the bullet list entry should be removed.


Reproducible: Always


User Profile Reset: No



Additional Info:
There is change tracking involved.
Comment 1 Nicolas Christener 2019-07-11 07:45:32 UTC
Created attachment 152718 [details]
Example document which makes the crash reproducible
Comment 2 Xisco Faulí 2019-07-11 08:41:28 UTC
The attached document crashed at import time until https://cgit.freedesktop.org/libreoffice/core/commit/?id=f609eba8b979620dc8f1c4a47d710360f8aae9e6, when the crash deleting the bullet is already reproducible... redlinehide related work, adding Michael Stahl to the loop...
Comment 3 Xisco Faulí 2019-07-11 08:54:54 UTC
The document started to crash at import time at https://cgit.freedesktop.org/libreoffice/core/commit/?id=4532845e22c10f252840887e55002307227b2390
Comment 4 Commit Notification 2019-07-23 08:58:02 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/91b344b0346347ac40d2d6fa03a03e92d2e9f252%5E%21

tdf#126340 sw_redlinehide: only move merged frames in JoinPrev

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Stahl (CIB) 2019-07-23 09:02:25 UTC
fixed on master
Comment 6 Commit Notification 2019-07-23 09:59:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/680c4eac7a39b7e039d7828a3cac839395b9a36e%5E%21

tdf#126340 sw_redlinehide: only move merged frames in JoinPrev

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-07-25 14:05:08 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/447d52dffaa2fcc8a78ac87fbd8cf543c52888e5%5E%21

tdf#126340 sw_redlinehide: only move merged frames in JoinPrev

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-07-30 15:52:56 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 850693273970be2662cce8f4d2710b3657a02f65
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!
Comment 9 Commit Notification 2019-07-31 01:56:18 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-0":

https://git.libreoffice.org/core/+/d929e17d4274e569bf2453a3263c76691a89acb9%5E%21

tdf#126340 sw_redlinehide: only move merged frames in JoinPrev

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.